Index: ruby/trunk/lib/adl_parser/lib/parser.rb
===================================================================
--- ruby/trunk/lib/adl_parser/lib/parser.rb	(revision 268)
+++ ruby/trunk/lib/adl_parser/lib/parser.rb	(revision 283)
@@ -2831,5 +2120,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 567)
+module_eval(<<'.,.,', 'parser.y', 566)
   def _reduce_110(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: single_attr_object_complex_head = #{val[0]} at #{@filename}:#{@lineno}")
@@ -2840,5 +2129,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 572)
+module_eval(<<'.,.,', 'parser.y', 571)
   def _reduce_111(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: attr_vals = #{val[1]} at #{@filename}:#{@lineno}")
@@ -2851,5 +2140,5 @@
 # reduce 112 omitted
 
-module_eval(<<'.,.,', 'parser.y', 578)
+module_eval(<<'.,.,', 'parser.y', 577)
   def _reduce_113(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: untyped_primitive_object_block = #{val[0]} at #{@filename}:#{@lineno}")
@@ -2860,5 +2149,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 583)
+module_eval(<<'.,.,', 'parser.y', 582)
   def _reduce_114(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: type_identifier = #{val[0]}, untyped_primitive_object_block = #{val[1]} at #{@filename}:#{@lineno}")
@@ -2869,5 +2158,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 588)
+module_eval(<<'.,.,', 'parser.y', 587)
   def _reduce_115(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: primitive_object_block = <#{val[1]}> at #{@filename}:#{@lineno}")
@@ -2878,5 +2167,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 593)
+module_eval(<<'.,.,', 'parser.y', 592)
   def _reduce_116(val, _values, result)
         result = val[0]
@@ -2886,5 +2175,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 597)
+module_eval(<<'.,.,', 'parser.y', 596)
   def _reduce_117(val, _values, result)
         result = val[0]
@@ -2894,5 +2183,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 601)
+module_eval(<<'.,.,', 'parser.y', 600)
   def _reduce_118(val, _values, result)
         result = val[0]
@@ -2902,5 +2191,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 605)
+module_eval(<<'.,.,', 'parser.y', 604)
   def _reduce_119(val, _values, result)
         result = val[0]
@@ -2910,5 +2199,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 609)
+module_eval(<<'.,.,', 'parser.y', 608)
   def _reduce_120(val, _values, result)
         result = val[0]
@@ -2918,5 +2207,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 613)
+module_eval(<<'.,.,', 'parser.y', 612)
   def _reduce_121(val, _values, result)
         @@logger.debug("string_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2927,5 +2216,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 618)
+module_eval(<<'.,.,', 'parser.y', 617)
   def _reduce_122(val, _values, result)
         @@logger.debug("integer_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2936,5 +2225,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 623)
+module_eval(<<'.,.,', 'parser.y', 622)
   def _reduce_123(val, _values, result)
         @@logger.debug("real_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2945,5 +2234,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 628)
+module_eval(<<'.,.,', 'parser.y', 627)
   def _reduce_124(val, _values, result)
         @@logger.debug("boolean_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2954,5 +2243,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 633)
+module_eval(<<'.,.,', 'parser.y', 632)
   def _reduce_125(val, _values, result)
         @@logger.debug("character_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2963,5 +2252,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 638)
+module_eval(<<'.,.,', 'parser.y', 637)
   def _reduce_126(val, _values, result)
         @@logger.debug("date_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2972,5 +2261,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 643)
+module_eval(<<'.,.,', 'parser.y', 642)
   def _reduce_127(val, _values, result)
         @@logger.debug("time_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2981,5 +2270,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 648)
+module_eval(<<'.,.,', 'parser.y', 647)
   def _reduce_128(val, _values, result)
         @@logger.debug("date_time_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2990,5 +2279,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 653)
+module_eval(<<'.,.,', 'parser.y', 652)
   def _reduce_129(val, _values, result)
         @@logger.debug("duration_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -2999,5 +2288,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 658)
+module_eval(<<'.,.,', 'parser.y', 657)
   def _reduce_130(val, _values, result)
         @@logger.debug("uri_value: #{val[0]} at #{@filename}:#{@lineno}")
@@ -3038,5 +2327,5 @@
 # reduce 145 omitted
 
-module_eval(<<'.,.,', 'parser.y', 681)
+module_eval(<<'.,.,', 'parser.y', 680)
   def _reduce_146(val, _values, result)
         @@logger.debug("V_TYPE_IDENTIFIER: #{val[0]} at #{@filename}:#{@lineno}")
@@ -3047,5 +2336,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 686)
+module_eval(<<'.,.,', 'parser.y', 685)
   def _reduce_147(val, _values, result)
         @@logger.debug("V_GENERIC_TYPE_IDENTIFIER: #{val[0]} at #{@filename}:#{@lineno}")
@@ -3056,5 +2345,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 692)
+module_eval(<<'.,.,', 'parser.y', 691)
   def _reduce_148(val, _values, result)
         @@logger.debug("V_STRING: #{val[0]} at #{@filename}:#{@lineno}")
@@ -3071,5 +2360,5 @@
 # reduce 151 omitted
 
-module_eval(<<'.,.,', 'parser.y', 702)
+module_eval(<<'.,.,', 'parser.y', 701)
   def _reduce_152(val, _values, result)
         begin
@@ -3084,5 +2373,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 711)
+module_eval(<<'.,.,', 'parser.y', 710)
   def _reduce_153(val, _values, result)
         begin
@@ -3097,5 +2386,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 720)
+module_eval(<<'.,.,', 'parser.y', 719)
   def _reduce_154(val, _values, result)
         begin
@@ -3134,5 +2423,5 @@
 # reduce 166 omitted
 
-module_eval(<<'.,.,', 'parser.y', 746)
+module_eval(<<'.,.,', 'parser.y', 745)
   def _reduce_167(val, _values, result)
         begin
@@ -3147,5 +2436,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 755)
+module_eval(<<'.,.,', 'parser.y', 754)
   def _reduce_168(val, _values, result)
         begin
@@ -3160,5 +2449,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 764)
+module_eval(<<'.,.,', 'parser.y', 763)
   def _reduce_169(val, _values, result)
         begin
@@ -3197,5 +2486,5 @@
 # reduce 181 omitted
 
-module_eval(<<'.,.,', 'parser.y', 789)
+module_eval(<<'.,.,', 'parser.y', 788)
   def _reduce_182(val, _values, result)
         result = true
@@ -3205,5 +2494,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 793)
+module_eval(<<'.,.,', 'parser.y', 792)
   def _reduce_183(val, _values, result)
         result = false
@@ -3227,5 +2516,11 @@
 # reduce 190 omitted
 
-# reduce 191 omitted
+module_eval(<<'.,.,', 'parser.y', 807)
+  def _reduce_191(val, _values, result)
+        result = val[0]
+  
+    result
+  end
+.,.,
 
 # reduce 192 omitted
@@ -3305,5 +2600,5 @@
 # reduce 229 omitted
 
-module_eval(<<'.,.,', 'parser.y', 856)
+module_eval(<<'.,.,', 'parser.y', 858)
   def _reduce_230(val, _values, result)
         @@logger.debug("V_ISO8601_DURATION: #{val[0]} at #{@filename}:#{@lineno}")
@@ -3338,5 +2633,5 @@
 # reduce 242 omitted
 
-module_eval(<<'.,.,', 'parser.y', 876)
+module_eval(<<'.,.,', 'parser.y', 878)
   def _reduce_243(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: V_QUALIFIED_TERM_CODE_REF = #{val[0]} at #{@filename}:#{@lineno}")
@@ -3353,5 +2648,5 @@
 # reduce 246 omitted
 
-module_eval(<<'.,.,', 'parser.y', 886)
+module_eval(<<'.,.,', 'parser.y', 888)
   def _reduce_247(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}: V_URI = #{val[0]} at #{@filename}:#{@lineno}")
@@ -3442,5 +2737,5 @@
 # reduce 287 omitted
 
-module_eval(<<'.,.,', 'parser.y', 956)
+module_eval(<<'.,.,', 'parser.y', 958)
   def _reduce_288(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}, V_ATTRIBUTE_IDENTIFIER = #{val[0]} at #{@filename}") 
@@ -3450,5 +2745,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 960)
+module_eval(<<'.,.,', 'parser.y', 962)
   def _reduce_289(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}, V_ATTRIBUTE_IDENTIFIER = #{val[0]} at #{@filename}") 
@@ -3458,5 +2753,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 971)
+module_eval(<<'.,.,', 'parser.y', 973)
   def _reduce_290(val, _values, result)
         result = Range.new(1,1)
@@ -3466,5 +2761,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 975)
+module_eval(<<'.,.,', 'parser.y', 977)
   def _reduce_291(val, _values, result)
         result = val[3]
@@ -3474,5 +2769,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 980)
+module_eval(<<'.,.,', 'parser.y', 982)
   def _reduce_292(val, _values, result)
         begin
@@ -3487,5 +2782,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 989)
+module_eval(<<'.,.,', 'parser.y', 991)
   def _reduce_293(val, _values, result)
         begin
@@ -3501,5 +2796,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1000)
+module_eval(<<'.,.,', 'parser.y', 1002)
   def _reduce_294(val, _values, result)
         result = OpenEHR::AM::Archetype::Constraint_Model::CARDINALITY.new
@@ -3525,5 +2820,5 @@
 # reduce 302 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1014)
+module_eval(<<'.,.,', 'parser.y', 1016)
   def _reduce_303(val, _values, result)
         result = val[0]
@@ -3533,5 +2828,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1018)
+module_eval(<<'.,.,', 'parser.y', 1020)
   def _reduce_304(val, _values, result)
         result = val[0]
@@ -3543,5 +2838,5 @@
 # reduce 305 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1025)
+module_eval(<<'.,.,', 'parser.y', 1027)
   def _reduce_306(val, _values, result)
         result = val[3]
@@ -3643,5 +2938,5 @@
 # reduce 352 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1095)
+module_eval(<<'.,.,', 'parser.y', 1097)
   def _reduce_353(val, _values, result)
         result = OpenEHR::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => true)
@@ -3651,5 +2946,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1099)
+module_eval(<<'.,.,', 'parser.y', 1101)
   def _reduce_354(val, _values, result)
         result = OpenEHR::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => false)
@@ -3659,5 +2954,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1103)
+module_eval(<<'.,.,', 'parser.y', 1105)
   def _reduce_355(val, _values, result)
         result = OpenEHR::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => true,:false_valid => false)
@@ -3667,5 +2962,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1107)
+module_eval(<<'.,.,', 'parser.y', 1109)
   def _reduce_356(val, _values, result)
         result = OpenEHR::AM::Archetype::Constraint_Model::Primitive::C_BOOLEAN.new(:true_valid => false,:false_valid => true)
@@ -3675,5 +2970,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1112)
+module_eval(<<'.,.,', 'parser.y', 1114)
   def _reduce_357(val, _values, result)
         result = val[0]
@@ -3683,5 +2978,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1116)
+module_eval(<<'.,.,', 'parser.y', 1118)
   def _reduce_358(val, _values, result)
         raise 'Not implemented yet'
@@ -3691,5 +2986,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1120)
+module_eval(<<'.,.,', 'parser.y', 1122)
   def _reduce_359(val, _values, result)
         raise 'Not implemented yet'
@@ -3709,5 +3004,5 @@
 # reduce 364 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1132)
+module_eval(<<'.,.,', 'parser.y', 1134)
   def _reduce_365(val, _values, result)
         @in_interval = false
@@ -3718,5 +3013,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1139)
+module_eval(<<'.,.,', 'parser.y', 1141)
   def _reduce_366(val, _values, result)
           result = val[0]
@@ -3726,5 +3021,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1143)
+module_eval(<<'.,.,', 'parser.y', 1145)
   def _reduce_367(val, _values, result)
           result = val[0]
@@ -3734,5 +3029,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1149)
+module_eval(<<'.,.,', 'parser.y', 1151)
   def _reduce_368(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}, START_TERM_CODE_CONSTRAINT = #{val[0]} at #{@filename}")
@@ -3751,5 +3046,5 @@
 # reduce 371 omitted
 
-module_eval(<<'.,.,', 'parser.y', 1165)
+module_eval(<<'.,.,', 'parser.y', 1167)
   def _reduce_372(val, _values, result)
           result = val[0]
@@ -3759,5 +3054,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1170)
+module_eval(<<'.,.,', 'parser.y', 1172)
   def _reduce_373(val, _values, result)
           result = val[0]
@@ -3767,5 +3062,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1174)
+module_eval(<<'.,.,', 'parser.y', 1176)
   def _reduce_374(val, _values, result)
         @@logger.debug("#{__FILE__}:#{__LINE__}, V_ATTRIBUTE_IDENTIFIER = #{word} at #{@filename}")
@@ -3776,5 +3071,5 @@
 .,.,
 
-module_eval(<<'.,.,', 'parser.y', 1185)
+module_eval(<<'.,.,', 'parser.y', 1187)
   def _reduce_375(val, _values, result)
         result = val[0]
